gtkmm: Gdk::Cairo Namespace Reference

gtkmm 3.1.90

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions

# Gdk::Cairo Namespace Reference

## Functions
void | set_source_color (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Color& color)
| Sets the specified Gdk::Color as the source color of the Cairo context.
void | set_source_rgba (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::RGBA& color)
| Sets the specified Gdk::RGBA as the source color of the Cairo context.
void | set_source_pixbuf (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, double pixbuf_x=0, double pixbuf_y=0)
| Sets the given pixbuf as the source pattern for the Cairo context.
void | add_rectangle_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const Gdk::Rectangle& rectangle)
| Adds the given rectangle to the current path of the context.
void | add_region_to_path (const ::Cairo::RefPtr< ::Cairo::Context >& context, const ::Cairo::RefPtr< ::Cairo::Region >& region)
| Adds the given region to the current path of the context.

## Function Documentation

void Gdk::Cairo::add_rectangle_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Rectangle& | rectangle
| ) |  |

Adds the given rectangle to the current path of the context.

Parameters:

  context | A cairo context.
  rectangle | A rectangle to add to the path of the context.

Since gtkmm 2.10:

void Gdk::Cairo::add_region_to_path | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const ::Cairo::RefPtr< ::Cairo::Region > & | region
| ) |  |

Adds the given region to the current path of the context.

Parameters:

  context | A cairo context.
  region | A region to add to the path of the context.

Since gtkmm 2.10:

void Gdk::Cairo::set_source_color | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::Color& | color
| ) |  |

Sets the specified Gdk::Color as the source color of the Cairo context.

Parameters:

  @context | The cairo context.
  color | The color to use as the source color.

Since gtkmm 2.10:

void Gdk::Cairo::set_source_pixbuf | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | double | pixbuf_x = `0`,
|  | double | pixbuf_y = `0`
| ) |  |

Sets the given pixbuf as the source pattern for the Cairo context.

The pattern has an extend mode of CAIRO_EXTEND_NONE and is aligned so that the origin of pixbuf is pixbuf_x, pixbuf_y.

Parameters:

  @context | The cairo context.
  pixbuf | A Gdk::Pixbuf
  pixbuf_x | X coordinate of location to place upper left corner of pixbuf.
  pixbuf_y | Y coordinate of location to place upper left corner of pixbuf.

Since gtkmm 2.10:

void Gdk::Cairo::set_source_rgba | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | context,
|  | const Gdk::RGBA& | color
| ) |  |

Sets the specified Gdk::RGBA as the source color of the Cairo context.

Parameters:

  @context | The cairo context.
  color | The color to use as the source color.

Since gtkmm 3.0: